/*
 * Copyright (C) 2021-2023 Intel Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// !!! DO NOT EDIT THIS FILE !!!

#ifndef __MODULE_TAGS_HPP__
#define __MODULE_TAGS_HPP__

#ifdef __clang__
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Werror"
#pragma clang diagnostic ignored "-Wformat-nonliteral"
#pragma clang diagnostic ignored "-Wformat-security"
#endif

enum ModuleTags {
      GENERATED_TAGS_3atest = 0,
      GENERATED_TAGS_AiqCore = 1,
      GENERATED_TAGS_AiqEngine = 2,
      GENERATED_TAGS_AiqInitData = 3,
      GENERATED_TAGS_AiqResult = 4,
      GENERATED_TAGS_AiqResultStorage = 5,
      GENERATED_TAGS_AiqSetting = 6,
      GENERATED_TAGS_AiqUnit = 7,
      GENERATED_TAGS_AiqUtils = 8,
      GENERATED_TAGS_BufferQueue = 9,
      GENERATED_TAGS_CASE_3A_CONTROL = 10,
      GENERATED_TAGS_CASE_AIQ = 11,
      GENERATED_TAGS_CASE_API_MULTI_THREAD = 12,
      GENERATED_TAGS_CASE_BUFFER = 13,
      GENERATED_TAGS_CASE_COMMON = 14,
      GENERATED_TAGS_CASE_CPF = 15,
      GENERATED_TAGS_CASE_DEVICE_OPS = 16,
      GENERATED_TAGS_CASE_DUAL = 17,
      GENERATED_TAGS_CASE_GRAPH = 18,
      GENERATED_TAGS_CASE_IQ_EFFECT = 19,
      GENERATED_TAGS_CASE_PARAMETER = 20,
      GENERATED_TAGS_CASE_PER_FRAME = 21,
      GENERATED_TAGS_CASE_STATIC_INFO = 22,
      GENERATED_TAGS_CASE_STREAM_OPS = 23,
      GENERATED_TAGS_CASE_THREAD = 24,
      GENERATED_TAGS_CASE_VIRTUAL_CHANNEL = 25,
      GENERATED_TAGS_CIPR_BUFFER = 26,
      GENERATED_TAGS_CIPR_COMMAND = 27,
      GENERATED_TAGS_CIPR_CONTEXT = 28,
      GENERATED_TAGS_CIPR_EVENT = 29,
      GENERATED_TAGS_Camera2Module = 30,
      GENERATED_TAGS_Camera3AMetadata = 31,
      GENERATED_TAGS_Camera3Buffer = 32,
      GENERATED_TAGS_Camera3BufferPool = 33,
      GENERATED_TAGS_Camera3Channel = 34,
      GENERATED_TAGS_Camera3Format = 35,
      GENERATED_TAGS_Camera3HAL = 36,
      GENERATED_TAGS_Camera3HALModule = 37,
      GENERATED_TAGS_Camera3HWI = 38,
      GENERATED_TAGS_Camera3Stream = 39,
      GENERATED_TAGS_Camera3StreamHAL = 40,
      GENERATED_TAGS_Camera3StreamListener = 41,
      GENERATED_TAGS_CameraBuffer = 42,
      GENERATED_TAGS_CameraDevice = 43,
      GENERATED_TAGS_CameraDump = 44,
      GENERATED_TAGS_CameraEvent = 45,
      GENERATED_TAGS_CameraHal = 46,
      GENERATED_TAGS_CameraHardwareSoc = 47,
      GENERATED_TAGS_CameraLog = 48,
      GENERATED_TAGS_CameraMetadata = 49,
      GENERATED_TAGS_CameraParser = 50,
      GENERATED_TAGS_CameraShm = 51,
      GENERATED_TAGS_CameraStream = 52,
      GENERATED_TAGS_Camera_PolicyManager = 53,
      GENERATED_TAGS_CaptureUnit = 54,
      GENERATED_TAGS_ColorConverter = 55,
      GENERATED_TAGS_CsiMetaDevice = 56,
      GENERATED_TAGS_Customized3A = 57,
      GENERATED_TAGS_CustomizedAic = 58,
      GENERATED_TAGS_CvfPrivacyChecker = 59,
      GENERATED_TAGS_DLCClient = 60,
      GENERATED_TAGS_DeviceBase = 61,
      GENERATED_TAGS_Dvs = 62,
      GENERATED_TAGS_EXIFMaker = 63,
      GENERATED_TAGS_EXIFMetaData = 64,
      GENERATED_TAGS_ExifCreater = 65,
      GENERATED_TAGS_FaceDetection = 66,
      GENERATED_TAGS_FaceDetectionPVL = 67,
      GENERATED_TAGS_FaceDetectionResultCallbackManager = 68,
      GENERATED_TAGS_FaceSSD = 69,
      GENERATED_TAGS_FileSource = 70,
      GENERATED_TAGS_GPUExecutor = 71,
      GENERATED_TAGS_GenGfx = 72,
      GENERATED_TAGS_GfxGen = 73,
      GENERATED_TAGS_GraphConfig = 74,
      GENERATED_TAGS_GraphConfigImpl = 75,
      GENERATED_TAGS_GraphConfigImplClient = 76,
      GENERATED_TAGS_GraphConfigManager = 77,
      GENERATED_TAGS_GraphConfigPipe = 78,
      GENERATED_TAGS_GraphConfigServer = 79,
      GENERATED_TAGS_GraphUtils = 80,
      GENERATED_TAGS_HAL_FACE_DETECTION_TEST = 81,
      GENERATED_TAGS_HAL_basic = 82,
      GENERATED_TAGS_HAL_jpeg = 83,
      GENERATED_TAGS_HAL_multi_streams_test = 84,
      GENERATED_TAGS_HAL_rotation_test = 85,
      GENERATED_TAGS_HAL_yuv = 86,
      GENERATED_TAGS_HalAdaptor = 87,
      GENERATED_TAGS_HalV3Utils = 88,
      GENERATED_TAGS_I3AControlFactory = 89,
      GENERATED_TAGS_IA_CIPR_UTILS = 90,
      GENERATED_TAGS_ICBMThread = 91,
      GENERATED_TAGS_ICamera = 92,
      GENERATED_TAGS_IFaceDetection = 93,
      GENERATED_TAGS_IPCIntelPGParam = 94,
      GENERATED_TAGS_IPC_FACE_DETECTION = 95,
      GENERATED_TAGS_IPC_GRAPH_CONFIG = 96,
      GENERATED_TAGS_ImageProcessorCore = 97,
      GENERATED_TAGS_ImageScalerCore = 98,
      GENERATED_TAGS_Intel3AParameter = 99,
      GENERATED_TAGS_IntelAEStateMachine = 100,
      GENERATED_TAGS_IntelAFStateMachine = 101,
      GENERATED_TAGS_IntelAWBStateMachine = 102,
      GENERATED_TAGS_IntelAlgoClient = 103,
      GENERATED_TAGS_IntelAlgoCommonClient = 104,
      GENERATED_TAGS_IntelAlgoServer = 105,
      GENERATED_TAGS_IntelCPUAlgoServer = 106,
      GENERATED_TAGS_IntelCca = 107,
      GENERATED_TAGS_IntelCcaClient = 108,
      GENERATED_TAGS_IntelCcaServer = 109,
      GENERATED_TAGS_IntelFDServer = 110,
      GENERATED_TAGS_IntelFaceDetection = 111,
      GENERATED_TAGS_IntelFaceDetectionClient = 112,
      GENERATED_TAGS_IntelGPUAlgoServer = 113,
      GENERATED_TAGS_IntelICBM = 114,
      GENERATED_TAGS_IntelICBMClient = 115,
      GENERATED_TAGS_IntelICBMServer = 116,
      GENERATED_TAGS_IntelPGParam = 117,
      GENERATED_TAGS_IntelPGParamClient = 118,
      GENERATED_TAGS_IntelPGParamS = 119,
      GENERATED_TAGS_IntelTNR7US = 120,
      GENERATED_TAGS_IntelTNR7USClient = 121,
      GENERATED_TAGS_IntelTNRServer = 122,
      GENERATED_TAGS_IspControlUtils = 123,
      GENERATED_TAGS_IspParamAdaptor = 124,
      GENERATED_TAGS_JpegEncoderCore = 125,
      GENERATED_TAGS_JpegMaker = 126,
      GENERATED_TAGS_LensHw = 127,
      GENERATED_TAGS_LensManager = 128,
      GENERATED_TAGS_LiveTuning = 129,
      GENERATED_TAGS_Ltm = 130,
      GENERATED_TAGS_MANUAL_POST_PROCESSING = 131,
      GENERATED_TAGS_MakerNote = 132,
      GENERATED_TAGS_MediaControl = 133,
      GENERATED_TAGS_MetadataConvert = 134,
      GENERATED_TAGS_MockCamera3HAL = 135,
      GENERATED_TAGS_MockCameraHal = 136,
      GENERATED_TAGS_MockSysCall = 137,
      GENERATED_TAGS_MsgHandler = 138,
      GENERATED_TAGS_OnePunchIC2 = 139,
      GENERATED_TAGS_OpenSourceGFX = 140,
      GENERATED_TAGS_PGCommon = 141,
      GENERATED_TAGS_PGUtils = 142,
      GENERATED_TAGS_PSysDAG = 143,
      GENERATED_TAGS_PSysPipe = 144,
      GENERATED_TAGS_PSysProcessor = 145,
      GENERATED_TAGS_ParameterGenerator = 146,
      GENERATED_TAGS_ParameterHelper = 147,
      GENERATED_TAGS_ParameterResult = 148,
      GENERATED_TAGS_Parameters = 149,
      GENERATED_TAGS_ParserBase = 150,
      GENERATED_TAGS_PipeExecutor = 151,
      GENERATED_TAGS_PipeLiteExecutor = 152,
      GENERATED_TAGS_PlatformData = 153,
      GENERATED_TAGS_PnpDebugControl = 154,
      GENERATED_TAGS_PolicyParser = 155,
      GENERATED_TAGS_PostProcessor = 156,
      GENERATED_TAGS_PostProcessorBase = 157,
      GENERATED_TAGS_PostProcessorCore = 158,
      GENERATED_TAGS_PrivacyControl = 159,
      GENERATED_TAGS_PrivateStream = 160,
      GENERATED_TAGS_ProcessorManager = 161,
      GENERATED_TAGS_RequestManager = 162,
      GENERATED_TAGS_RequestThread = 163,
      GENERATED_TAGS_ResultProcessor = 164,
      GENERATED_TAGS_SWJpegEncoder = 165,
      GENERATED_TAGS_SWPostProcessor = 166,
      GENERATED_TAGS_SchedPolicy = 167,
      GENERATED_TAGS_Scheduler = 168,
      GENERATED_TAGS_SensorHwCtrl = 169,
      GENERATED_TAGS_SensorManager = 170,
      GENERATED_TAGS_SensorOB = 171,
      GENERATED_TAGS_ShareRefer = 172,
      GENERATED_TAGS_SofSource = 173,
      GENERATED_TAGS_StreamBuffer = 174,
      GENERATED_TAGS_SwImageConverter = 175,
      GENERATED_TAGS_SwImageProcessor = 176,
      GENERATED_TAGS_SyncManager = 177,
      GENERATED_TAGS_SysCall = 178,
      GENERATED_TAGS_TCPServer = 179,
      GENERATED_TAGS_Thread = 180,
      GENERATED_TAGS_Trace = 181,
      GENERATED_TAGS_TunningParser = 182,
      GENERATED_TAGS_Utils = 183,
      GENERATED_TAGS_V4l2DeviceFactory = 184,
      GENERATED_TAGS_V4l2_device_cc = 185,
      GENERATED_TAGS_V4l2_subdevice_cc = 186,
      GENERATED_TAGS_V4l2_video_node_cc = 187,
      GENERATED_TAGS_VendorTags = 188,
      GENERATED_TAGS_camera_metadata_tests = 189,
      GENERATED_TAGS_icamera_metadata_base = 190,
      GENERATED_TAGS_metadata_test = 191,
      ST_FPS = 192,
      ST_GPU_TNR = 193,
      ST_STATS = 194,
};

#define TAGS_MAX_NUM 195

#endif
// !!! DO NOT EDIT THIS FILE !!!
